Get Business Officers
curl --request GET \
--url https://api.baselayer.com/businesses/{id}/officers \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/businesses/{id}/officers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/businesses/{id}/officers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "Philip Mcguire",
"titles": [
"CEO",
"Founder"
],
"states": [
"CA",
"NY"
],
"sources": [
"SOS",
"Online"
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Business Information
Get Business Officers
Retrieve a business’s officers by its UUID.
GET
/
businesses
/
{id}
/
officers
Get Business Officers
Authorizations
Path Parameters
The unique identifier of the business to retrieve officers for.
Examples:
"412a49b5-7466-426b-bf1e-081b00b54576"
"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"
Response
Successful Response
The name of the officer.
Example:
"Philip Mcguire"
The titles associated with the officer.
Example:
["CEO", "Founder"]
The states where the officer is registered.
Available options:
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY, PR, VI, AE, AA, AP, GU, AS Example:
["CA", "NY"]
The sources of the officer.
Available options:
SOS, Online Example:
["SOS", "Online"]